Package twisted :: Package web :: Module static :: Class Registry |
[frames | no frames]

## Class Registry

    Versioned --+
                |
    Componentized --+
                    |
        Versioned --+
                    |
                   Registry

I am a Componentized object that will be made available to internal Twisted file-based dynamic web content such as .rpy and .epy scripts.

Method Summary
| `__init__(self)`
| `cachePath(self, path, rsrc)`
| `getCachedPath(self, path)`
| `upgradeToVersion1(self)`
Inherited from Componentized
| ``addAdapter`(self, adapterClass, ignoreClass, registry)` Utility method that calls addComponent.
| ``addComponent`(self, component, ignoreClass, registry)` Add a component to me, for all appropriate interfaces.
| ``getComponent`(self, interface, registry, default)` Create or retrieve an adapter for the given interface.
| ``locateAdapterClass`(self, klass, interfaceClass, default, registry)`
| ``removeComponent`(self, component)` Remove the given component from me entirely, for all interfaces for which it has been registered.
| ``setAdapter`(self, interfaceClass, adapterClass)`
| ``setComponent`(self, interfaceClass, component)`
| ``unsetComponent`(self, interfaceClass)` Remove my component specified by the given interface class.
Inherited from Versioned
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out.
| ``__setstate__`(self, state)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade.

Class Variable Summary
`int` | `persistenceVersion` = 1
Inherited from Versioned
`tuple` | `persistenceForgets` = `()`

Class Variable Details

    ### persistenceVersion Type: `int` Value:
        1

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net